<div class="panel-content">

  <mat-tab-group>

      <!-- CARTAO DE CREDITO -->
      <mat-tab *ngIf="paymentsTypeAvailable.indexOf('CREDIT_CARD') > -1">
          <ng-template mat-tab-label>
              <i class="fas fa-credit-card"></i>
              <span>&nbsp;Cartão de Crédito</span>
          </ng-template>
          <div class="tab-content" fxLayout="column" fxLayoutGap="50px" >
 
              <div class="panel">
                <div class="panel-content">
                  <form [formGroup]="creditCardForm">

                      <div fxFlex="70">
        
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          <mat-form-field fxFlex="100">
                              <mat-select placeholder="Bandeira do Cartão"  formControlName="creditCardBrand" required>
                                <mat-option *ngFor="let brand of brandCreditCardList" [value]="brand['id']">
                                  {{brand['name']}}
                                </mat-option>
                              </mat-select>
                          </mat-form-field>                      
                        </div>
        
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <mat-form-field fxFlex="100">
                                <input matInput placeholder="Número do cartão" formControlName="creditCardNumber" [textMask]="{mask: cardMask}" required>
                            </mat-form-field>
                        </div>
        
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            
                            <mat-form-field fxFlex="33">
                                <input  matInput placeholder="Mês de expiração"  formControlName="creditCardExpMonth" [textMask]="{mask: expMonthMask}" required>
                            </mat-form-field>
                            <mat-form-field fxFlex="34">
                                <input  matInput placeholder="Ano de expiração"  formControlName="creditCardExpYear"  [textMask]="{mask: expYearMask}" required>
                            </mat-form-field>
                            <mat-form-field fxFlex="33">
                                <input  matInput placeholder="Codigo de segurança" formControlName="creditCardSecurityCode"  [textMask]="{mask: ccsMask}" required>
                            </mat-form-field>
                        </div>                  
        
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <mat-form-field fxFlex="100">
                                <input matInput placeholder="Nome impresso no Cartão" [value]="creditCardForm.get('creditCardHolderName').value | uppercase" formControlName="creditCardHolderName" required>
                            </mat-form-field>
                        </div>  
                        <br>
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <mat-form-field fxFlex="100" >
                                <mat-select placeholder="Parcelamento da Instalação" formControlName="installments" (selectionChange)="changeInstallment($event.value)" required>
                                    <mat-option *ngFor="let installments of installmentsListCreditCard" [value]="installments['number']" >
                                            <span>{{installments['text']}}</span>
                                    </mat-option>
                                </mat-select> 
                            </mat-form-field>
                        </div>
                      </div>
                      <br>
                  </form>
        
                  <div fxLayout="row" fxLayoutAlign="end center">
                    <button 
                        [hidden]="isHiddenControls"
                        type="button" 
                        color="primary"
                        mat-raised-button
                        (click)="setPaymentType('CREDIT_CARD')">
                        Próximo
                    </button>
                  </div>       
                </div>
              </div>
          </div>
      </mat-tab>
      <!-- // CARTAO DE CREDITO -->
       <!-- CARTAO DE DEBITO -->
       <mat-tab *ngIf="paymentsTypeAvailable.indexOf('DEBIT_CARD') > -1">
        <ng-template mat-tab-label>
            <i class="fas fa-credit-card"></i>
            <span>&nbsp;Cartão de Débito</span>
        </ng-template>
        <div class="tab-content" fxLayout="column" fxLayoutGap="50px" >

            <div class="panel">
              <div class="panel-content">
                <form [formGroup]="creditCardForm">

                    <div fxFlex="70">

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                        <mat-form-field fxFlex="100">
                            <mat-select placeholder="Banco" formControlName="debitCardBank" (selectionChange)="selectBank($event.value)">
                                <mat-option *ngFor="let bank of listBank" [value]="bank">
                                {{ bank }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
      
                      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                        <mat-form-field fxFlex="100">
                            <mat-select placeholder="Bandeira do Cartão"  formControlName="creditCardBrand" required >
                              <mat-option *ngFor="let brand of brandCreditCardList" [value]="brand['id']">
                                {{brand['name']}}
                              </mat-option>
                            </mat-select>
                        </mat-form-field>                      
                      </div>
      
                      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          <mat-form-field fxFlex="100">
                              <input matInput placeholder="Número do cartão" formControlName="creditCardNumber" [textMask]="{mask: cardMask}" required>
                          </mat-form-field>
                      </div>
      
                      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          
                          <mat-form-field fxFlex="33">
                              <input  matInput placeholder="Mês de expiração"  formControlName="creditCardExpMonth" [textMask]="{mask: expMonthMask}" required>
                          </mat-form-field>
                          <mat-form-field fxFlex="34">
                              <input  matInput placeholder="Ano de expiração"  formControlName="creditCardExpYear"  [textMask]="{mask: expYearMask}" required>
                          </mat-form-field>
                          <mat-form-field fxFlex="33">
                              <input  matInput placeholder="Codigo de segurança" formControlName="creditCardSecurityCode"  [textMask]="{mask: ccsMask}" required>
                          </mat-form-field>
                      </div>                  
      
                      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          <mat-form-field fxFlex="100">
                              <input matInput placeholder="Nome impresso no Cartão" formControlName="creditCardHolderName" [value]="creditCardForm.get('creditCardHolderName').value | uppercase" required>
                          </mat-form-field>
                      </div>  

                        <br>
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <mat-form-field fxFlex="100" >
                                <mat-select placeholder="Parcelamento total da cotação" formControlName="installments" (selectionChange)="changeInstallment($event.value)" required>
                                    <mat-option *ngFor="let installments of installmentsList" [value]="installments['number']" >
                                            <span>{{installments['text']}}</span>
                                    </mat-option>
                                </mat-select> 
                            </mat-form-field>
                        </div>
                    </div>
                </form>
      
                <div fxLayout="row" fxLayoutAlign="end center">
                  <button 
                      [hidden]="isHiddenControls"
                      type="button" 
                      color="primary"
                      mat-raised-button
                      (click)="setPaymentType('DEBIT_CARD')">
                      Próximo
                  </button>
                </div>       
              </div>
            </div>
        </div>
    </mat-tab>
    <!-- // CARTAO DE DEBITO -->

      <!-- BOLETO -->
      <mat-tab *ngIf="paymentsTypeAvailable.indexOf('BOOKLET') > -1">
          <ng-template mat-tab-label>
              <i class="fas fa-barcode"></i>
              <span>&nbsp;Boleto</span>
          </ng-template>
          
          <div class="tab-content" fxLayout="column" fxLayoutGap="10px">
              <div class="panel">
                
                  <div class="panel-content">
                    <form [formGroup]="creditCardForm">
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <mat-form-field fxFlex="60" >
                                <mat-select placeholder="Parcelamento total da cotação" formControlName="installments" (selectionChange)="changeInstallment($event.value)" required>
                                    <mat-option *ngFor="let installments of installmentsList" [value]="installments['number']" >
                                            <span>{{installments['text']}}</span>
                                    </mat-option>
                                </mat-select> 
                            </mat-form-field>
                        </div>
                    </form>
                    <p>
                        <mat-icon>mail_outline</mat-icon> Após a confirmação o boleto será enviado para o seu e-mail.
                    </p>
                    
                    <div fxLayout="row" fxLayoutAlign="end center">
                        <button 
                            type="button" 
                            color="primary"
                            mat-raised-button
                            [hidden]="isHiddenControls"
                            (click)="setPaymentType('BOOKLET')">
                            Próximo
                        </button>
                    </div>
                  </div>
              </div>
          </div>
      </mat-tab> 
      <!-- // BOLETO -->

      <!-- E-MAIL -->
      <!-- <mat-tab *ngIf="paymentsTypeAvailable.indexOf('EMAIL') > -1">
          <ng-template mat-tab-label>
            <i class="fas fa-email"></i>
            <span>&nbsp;E-mail</span>
          </ng-template>
          
          <div class="tab-content" fxLayout="column" fxLayoutGap="10px">
              <div class="panel">
                  <div class="panel-content">
                    <p>
                        <mat-icon>mail_outline</mat-icon> Após a confirmação será enviado para o e-mail um link para realizar o pagamento.
                    </p>
                    <div fxLayout="row" fxLayoutAlign="start center">
                      <button 
                        type="button" 
                        color="primary"
                        mat-raised-button
                        [hidden]="isHiddenControls"
                        (click)="setPaymentType('EMAIL')">
                        Confimar envio de link por e-mail
                    </button>
                    </div>
                  </div>
              </div>                  
          </div> 
      </mat-tab> -->
      <!-- // E-MAIL -->    

  </mat-tab-group>
</div>

